History

10/19/2011 10:34 am - Dmitry Smekhov

Ð”Ð¾Ð±Ð°Ð²Ð»ÐµÐ½Ñ‹ ÐºÐ¾Ð¼Ð¿Ð¾Ð½ÐµÐ½Ñ‚Ñ‹ Ð´Ð»Ñ• ÑˆÐ¸Ð½Ñ‹ WISHBONE. ÐšÐ¾Ð¼Ð¿Ð¾Ð½ÐµÐ½Ñ‚Ñ‹ Ð½Ð° Verilog. 

ÐŸÐ¾Ñ•Ð²Ð¸Ð»Ð¸Ñ•ÑŒ Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ñ‹ Ð¿Ñ€Ð¸ Ð¼Ð¾Ð´ÐµÐ»Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ð¸ Ð² Active-HDL:


1. Ð˜Ñ•Ð¿Ð¾Ð»ÑŒÐ·ÑƒÐµÑ‚Ñ•Ñ• ÐºÐ¾Ð¼Ð¿Ð¾Ð½ÐµÐ½Ñ‚ FIFO v8.2 Ð¸Ð· ISE 13.2 - ÐµÐ³Ð¾ Ð½Ð°Ð´Ð¾ Ð´Ð¾Ð±Ð°Ð²Ð¸Ñ‚ÑŒ Ð² 

ovi_xilinxcorelib


2. Ð•Ð°Ð´Ð¾ Ð´Ð¾Ð±Ð°Ð²Ð¸Ñ‚ÑŒ Ð±Ð¸Ð±Ð»Ð¸Ð¾Ñ‚ÐµÐºÐ¸ ovi_unisim, ovi_xilinxcorelib Ð´Ð»Ñ• ÐºÐ¾Ð¼Ð¿Ð¸Ð»Ñ•Ñ†Ð¸Ð¸ Verilog ÐºÐ¾Ð´Ð°


3. Ð•Ð°Ð´Ð¾ Ð´Ð¾Ð±Ð°Ð²Ð¸Ñ‚ÑŒ glbl ÐºÐ°Ðº ÐºÐ¾Ð¼Ð¿Ð¾Ð½ÐµÐ½Ñ‚ Ð²ÐµÑ€Ñ…Ð½ÐµÐ³Ð¾ ÑƒÑ€Ð¾Ð²Ð½Ñ• Ð´Ð»Ñ• 

Ð¼Ð¾Ð´ÐµÐ»Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ñ•

10/21/2011 10:10 pm - Dmitry Smekhov

ÐžÐ±Ð½Ð°Ñ€ÑƒÐ¶ÐµÐ½Ð° Ð¾ÑˆÐ¸Ð±ÐºÐ° - Ð¿Ñ€ÐµÐ¶Ð´ÐµÐ²Ñ€ÐµÐ¼ÐµÐ½Ð½Ñ‹Ð¹ Ð·Ð°Ð¿ÑƒÑ•Ðº ÐºÐ°Ð½Ð°Ð»Ð° DMA. Ð§Ñ‚ÐµÐ½Ð¸Ðµ 

Ð´Ð°Ð½Ð½Ñ‹Ñ… Ð·Ð°Ð¿ÑƒÑ•ÐºÐ°ÐµÑ‚Ñ•Ñ• Ð´Ð¾ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐ¸ Ð°Ð´Ñ€ÐµÑ•Ð°.

10/21/2011 10:24 pm - Dmitry Smekhov

- Target version set to v1_1

10/28/2011 08:32 am - Dmitry Smekhov

Ð’ Ñ„Ð°Ð¹Ð»Ðµ pci_exprx_app_m2 ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð»ÐµÐ½Ð¾ TRN_RX_TIMEOUT  : INTEGER :=30000


Ð­Ñ‚Ð¾ Ð¾Ñ•Ñ‚Ð°Ð»Ð¾Ñ•ÑŒ Ð¾Ñ‚ Ð¿Ñ€Ð¸Ð¼ÐµÑ€Ð° Xilinx Ð´Ð»Ñ• Virtex 5 Ð¸ ÑˆÐ¸Ð½Ñ‹ x8, Ð²Ð¸Ð´Ð¸Ð¼Ð¾ Ð´Ð»Ñ• Ð¿Ñ€Ð¸Ð¼ÐµÑ€Ð° 

Xilinx Ñ…Ð²Ð°Ñ‚Ð°Ð»Ð¾.


Ð’ Ð´Ð°Ð½Ð½Ð¾Ð¼ Ð¿Ñ€Ð¾ÐµÐºÑ‚Ðµ Ð¸Ñ•Ð¿Ð¾Ð»ÑŒÐ·ÑƒÐµÑ‚Ñ•Ñ• ÑˆÐ¸Ð½Ð° x1 - Ð²Ñ€ÐµÐ¼Ñ• Ð¾Ð±Ñ€Ð°Ñ‰ÐµÐ½Ð¸Ñ• Ð¿Ð¾ 

Ð½ÐµÐ¹ Ð±Ð¾Ð»ÑŒÑˆÐµ. ÐŸÑ€Ð¸ Ð¼Ð¾Ð´ÐµÐ»Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ð¸ Ð±Ð¾Ð»ÑŒÑˆÐ¾Ð³Ð¾ ÐºÐ¾Ð»Ð¸Ñ‡ÐµÑ•Ñ‚Ð²Ð° 

Ð¾Ð±Ñ€Ð°Ñ‰ÐµÐ½Ð¸Ð¹ Ð¿Ñ€Ð¾Ð¸Ñ•Ñ…Ð¾Ð´Ð¸Ð» Ð²Ñ‹Ñ…Ð¾Ð´ Ð¿Ð¾ timeout.


Ð¯ ÑƒÐ²ÐµÐ»Ð¸Ñ‡Ð¸Ð» Ð·Ð½Ð°Ñ‡ÐµÐ½Ð¸Ðµ Ð´Ð¾ 3000000, Ð¼Ð¾Ð´ÐµÐ»Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ðµ Ñ•Ñ‚Ð°Ð»Ð¾ Ð²Ñ‹Ð¿Ð¾Ð»Ð½Ñ•Ñ‚Ñ•Ñ• 

Ð±ÐµÐ· Ð¾ÑˆÐ¸Ð±ÐºÐ¸ timeout.


Ð¥Ð¾Ñ‚Ñ• Ð²Ð¾Ð·Ð¼Ð¾Ð¶Ð½Ð¾ Ñ•Ñ‚Ð¾ Ð¿Ñ€Ð¾Ñ•Ñ‚Ð¾ Ð¾ÑˆÐ¸Ð±ÐºÐ° Ð² pci_exprx_app_m2. Ð•ÐµÐ¿Ð¾Ð½Ñ•Ñ‚Ð½Ð° Ð»Ð¾Ð³Ð¸ÐºÐ° 

Ñ€Ð°Ð±Ð¾Ñ‚Ñ‹ next_trn_rx_timeout

11/02/2011 12:06 pm - Dmitry Smekhov

Ð Ð°Ð±Ð¾Ñ‚Ð°ÑŽÑ‚ Ñ‚ÐµÑ•Ñ‚Ñ‹ test_read_4kb, test_read_8kb


Ð˜Ñ•Ð¿Ñ€Ð°Ð²Ð»ÐµÐ½Ð° Ð¾ÑˆÐ¸Ð±ÐºÐ° - Ð½Ðµ Ð·Ð°Ð¿ÑƒÑ•ÐºÐ°Ð»Ð°Ñ•ÑŒ Ð¿ÐµÑ€ÐµÐ´Ð°Ñ‡Ð° Ð²Ñ‚Ð¾Ñ€Ð¾Ð³Ð¾ Ð±Ð»Ð¾ÐºÐ°


Ð’ Ð±Ð»Ð¾ÐºÐµ block_test_generate_wb Ñ•Ð¸Ð³Ð½Ð°Ð» di_start ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð»ÐµÐ½ Ð½Ð° Ñ€Ð°Ð·Ñ€Ñ•Ð´ 5 Ñ€ÐµÐ³Ð¸Ñ•Ñ‚Ñ€Ð° 

test_gen_cntrl


Ð ÐµÐ²Ð¸Ð·Ð¸Ñ• 69

11/15/2011 03:55 pm - Dmitry Smekhov

Ð”Ð¾Ñ€Ð°Ð±Ð¾Ñ‚Ð°Ð½ test_write_16kb. Ð§ÐµÑ‚Ñ€Ñ‹Ðµ Ð±Ð»Ð¾ÐºÐ° Ð·Ð°Ð¿Ð¾Ð»Ð½Ñ•ÑŽÑ‚Ñ•Ñ• Ð¿Ñ€Ð°Ð²Ð¸Ð»ÑŒÐ½Ð¾Ð¹ 

Ñ‚ÐµÑ•Ñ‚Ð¾Ð²Ð¾Ð¹ Ð¿Ð¾Ñ•Ð»ÐµÐ´Ð¾Ð²Ð°Ñ‚ÐµÐ»ÑŒÐ½Ð¾Ñ•Ñ‚ÑŒÑŽ. block_check Ð¿Ñ€Ð¾Ð²ÐµÑ€Ñ•ÐµÑ‚ Ð¸ Ñ•Ð¾Ð¾Ð±Ñ‰Ð°ÐµÑ‚ Ð¾ 

Ð¿Ñ€Ð°Ð²Ð¸Ð»ÑŒÐ½Ð¾Ð¼ Ð¿Ñ€Ð¸Ñ‘Ð¼Ðµ Ñ‚ÐµÑ•Ñ‚Ð¾Ð²Ð¾Ð¹ Ð¿Ð¾Ñ•Ð»ÐµÐ´Ð¾Ð²Ð°Ñ‚ÐµÐ»ÑŒÐ½Ð¾Ñ•Ñ‚Ð¸.


block_rd = 4


block_ok=3


block_error=0


Ð¸Ð·Ð¼ÐµÐ½ÐµÐ½Ð¸Ðµ block_ok, block_error Ð¿Ñ€Ð¾Ð¸Ñ•Ñ…Ð¾Ð´Ð¸Ñ‚ Ð¿Ñ€Ð¸ Ð¿Ñ€Ð¸Ñ‘Ð¼Ðµ Ð¿ÐµÑ€Ð²Ð¾Ð³Ð¾ Ñ•Ð»Ð¾Ð²Ð° 
Ñ•Ð»ÐµÐ´ÑƒÑŽÑ‰ÐµÐ³Ð¾ Ð±Ð»Ð¾ÐºÐ°.

11/29/2011 07:58 pm - Dmitry Smekhov

Ð˜Ñ•Ð¿Ñ€Ð°Ð²Ð»ÐµÐ½ ctrl_ram_cmd. Ð—Ð°Ð¿Ð¸Ñ•ÑŒ Ð½Ð° ÑˆÐ¸Ð½Ñƒ WB Ð¿Ñ€Ð¸ Ð½Ð°Ð»Ð¸Ñ‡Ð¸Ð¸ Ð¿Ð°ÑƒÐ·Ñ‹ Ð¿Ñ€Ð¾Ñ…Ð¾Ð´Ð¸Ñ‚ 

Ð±ÐµÐ· Ð¾ÑˆÐ¸Ð±Ð¾Ðº.

02/04/2012 11:25 pm - Dmitry Smekhov

Ð˜Ñ•Ð¿Ñ€Ð°Ð²Ð»ÐµÐ½ ctrl_ext_descriptor - Ð¸Ñ•Ð¿Ñ€Ð°Ð²Ð»ÐµÐ½ Ð¿Ð¾Ð´Ñ•Ñ‡Ñ‘Ñ‚ ÐºÐ¾Ð½Ñ‚Ñ€Ð¾Ð»ÑŒÐ½Ð¾Ð¹ Ñ•ÑƒÐ¼Ð¼Ñ‹ Ð¿Ñ€Ð¸ 

is_dsp48=0
